API Reference

25 endpoints

Every endpoint accepts JSON and requires the X-API-Key header for authentication.

Base URL and header

Base URL
https://horizon.pm/api/v1/app
X-API-Key
Your project API key. Send it with every request.

Read the full API reference

Endpoints

25 of 25
MethodPathFeaturesCopy URL
POST/user-management/signupAuthentication
POST/user-management/signinAuthentication
POST/user-management/check-authUsers
POST/user-management/change-nameUsers
GET/player-profilePlayer Profile
PUT/player-profilePlayer Profile
POST/leaderboard/submitLeaderboard
GET/leaderboards/{boardKey}/topLeaderboard
POST/validated-actions/runsValidated Actions
POST/validated-actions/submitValidated Actions
POST/cloud-save/saveCloud Save
POST/cloud-save/loadCloud Save
GET/remote-config/{configKey}Remote Config
GET/remote-config/allRemote Config
GET/localization/{key}Localization
GET/localization/allLocalization
GET/newsNews
POST/gift-codes/validateGift Codes
POST/gift-codes/redeemGift Codes
POST/email-sending/sendEmail Sending
GET/email-sending/{emailId}Email Sending
POST/crash-reports/sessionCrash Reporting
POST/crash-reports/createCrash Reporting
POST/user-feedback/submitUser Feedback
POST/user-logs/createUser Logs

Example request

REST (curl)
Bash
1curl -X POST https://horizon.pm/api/v1/app/user-management/signup \
2 -H "Content-Type: application/json" \
3 -H "X-API-Key: horizon_YOUR_API_KEY_HERE" \
4 -d '{"type":"ANONYMOUS","username":"TestPlayer","includeRefreshToken":true}'